Page 2 sur 2

Re: Mise à jour de domiticz plus aucun accès

Publié : 25 août 2021, 20:51
par titis14
Par contre la variable name va dans /home/$USERNAME/domoticz/$NAME
Hors moi c'est directement dans /home/$USERNAME/domoticz

Re: Mise à jour de domiticz plus aucun accès

Publié : 25 août 2021, 21:14
par titis14
J'ai restauré ma vm et refait la maj, mon fichier domoticz.sh est déjà comme sur le lien. J'ai décommenté la ligne des logs mais toujours rien.

Code : Tout sélectionner

#! /bin/sh
### BEGIN INIT INFO
# Provides:          domoticz
# Required-Start:    $network $remote_fs $syslog
# Required-Stop:     $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Home Automation System
# Description:       This daemon will start the Domoticz Home Automation System
### END INIT INFO

# Do NOT "set -e"

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
DESC="Domoticz Home Automation System"
NAME=domoticz
USERNAME=sebr
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

DAEMON=/home/sebr/domoticz/$NAME
DAEMON_ARGS="-daemon"
#DAEMON_ARGS="$DAEMON_ARGS -daemonname $NAME -pidfile $PIDFILE"
DAEMON_ARGS="$DAEMON_ARGS -www 8084"
DAEMON_ARGS="$DAEMON_ARGS -sslwww 443"
DAEMON_ARGS="$DAEMON_ARGS -log /tmp/domoticz.txt"
#DAEMON_ARGS="$DAEMON_ARGS -syslog"

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

pidof_domoticz() {
    # if there is actually a domoticz process whose pid is in PIDFILE,
    # print it and return 0.
    if [ -e "$PIDFILE" ]; then
        if pidof domoticz | tr ' ' '\n' | grep -w $(cat $PIDFILE); then
            return 0
        fi
    fi
    return 1
}

#
# Function that starts the daemon/service
#
do_start()
{
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --chuid $USERNAME --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
                || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
                $DAEMON_ARGS \
                || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
}

case "$1" in
  start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
                0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
  status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
  reload)
        log_daemon_msg "Reloading $DESC" "$NAME"
        PID=$(pidof_domoticz) || true
        if [ "${PID}" ]; then
                kill -HUP $PID
                log_end_msg 0
        else
                log_end_msg 1
        fi
        ;;
  restart)
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                        0) log_end_msg 0 ;;
                        1) log_end_msg 1 ;; # Old process is still running
                        *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
          *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload}" >&2
        exit 3
        ;;
esac

:

Re: Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 07:58
par Chrominator
titis14 a écrit : 25 août 2021, 20:05 Quand je fais un status il est bien actif si je fais ta commande il y a bien un process

Code : Tout sélectionner

sebr@Debian:~$ ps aux | grep domoticz
sebr     18143  0.0  0.0  12780   952 pts/0    S+   20:04   0:00 grep domoticz
Mauvaise interprétation ; domoticz ne tourne pas sur ton système, raison pour laquelle tu ne peux pas accéder à l'interface.
le process que tu vois est celui lancé pour filtrer (grep) la liste des process donnée par la commande ps.

Comme dit précédemment, tu pourrais lancer domoticz à la main pour voir ce que dit le log.

Re: Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 17:49
par titis14
Salut, alors j'ai fait la commande suivante pour lancer le service et quand je fais un status il me dit actif mais si je fais ensuite ta commande toujours pas de process

Code : Tout sélectionner

sebr@Debian:~$ sudo service domoticz start
sebr@Debian:~$ sudo service domoticz status
● domoticz.service - LSB: Home Automation System
   Loaded: loaded (/etc/init.d/domoticz.sh; generated; vendor preset: enabled)
   [b]Active: active [/b](exited) since Wed 2021-08-25 21:06:24 CEST; 20h ago

Code : Tout sélectionner

sebr@Debian:~$ ps aux | grep domoticz
sebr      1852  0.0  0.0  12780  1000 pts/0    S+   17:47   0:00 grep domoticz
Je tente cette commande il me dit OK mais toujours pas de process

Code : Tout sélectionner

sebr@Debian:~$ sudo /etc/init.d/domoticz.sh start
[ ok ] Starting domoticz.sh (via systemctl): domoticz.service.
sebr@Debian:~$ ps aux | grep domoticz
sebr      1886  0.0  0.0  12780   928 pts/0    S+   17:51   0:00 grep domoticz
Et je n'ai toujours pas de log dans le fichier /tmp :cry:
J'ai tenté de modifier le chemin au cas ou qu'il y aurait un manque de droit mais pareil.

Si je lance domoticz.sh pas d'erreur j'ai un retour à la ligne.

Code : Tout sélectionner

sebr@Debian:~/domoticz$ sudo bash ./domoticz.sh

Re: Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 18:55
par titis14
Ah je progresse

Code : Tout sélectionner

sebr@Debian:~/domoticz$ sudo ./domoticz
./domoticz: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by ./domoticz)
./domoticz: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.28' not found (required by ./domoticz)
il maque une libc et libm apparemment.

Re: Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 19:57
par titis14
j'ai lancé installation de libc.so et libm.so mais toujours la même erreur.

Quand je refait la commande j'ai la version 2.24 on peut pas avoir plus avec debian 9 ?

Code : Tout sélectionner

libmason-perl is already the newest version (2.24-1)
glibc-source is already the newest version (2.24-11+deb9u4).
Bon apparemment y a pas sous déb 9 ca fait un chi** car c'est pas comme si mon Debian était si vieux du coup obliger de tout refaire tous les ans si a chaque mise à jour de domoticz il faut une nouvelle version de librairie pour avoir la dernière version.
https://packages.debian.org/fr/libc6

Je fait une migration avec ce tuto https://www.justegeek.fr/tuto-mettre-a- ... 10-buster/

Re: Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 20:43
par titis14
Yes c'est bon migré de Déb 9 a 10 puis installation de libc.so + libm.so + reboot domoticz OK

Re: [Résolu]Mise à jour de domiticz plus aucun accès

Publié : 26 août 2021, 21:19
par Keros
Tant mieux :)